<?php
function check_version($actual,$to_be){
	$a=explode(".",$actual);
	$b=explode(".",$to_be);
	
	if(intval($a[0])<intval($b[0])){
		return true;
	}
	if(intval($a[0])>intval($b[0])){
		return false;
	}

	if(intval($a[1])<intval($b[1])){
		return true;
	}
	if(intval($a[1])>intval($b[1])){
		return false;
	}
	
	if(intval($a[2])<intval($b[2])){
		return true;
	}
	if(intval($a[2])>intval($b[2])){
		return false;
	}
	
	if(intval($a[3])<intval($b[3])){
		return true;
	}
	return false;
}

if(!isset($pa_db_version[0])){
	 // changes for 0.4.1.beta9
	echo "applying changes for 0.4.1.9 version";
    db_create_table("anti_spam_codes",Array(
    	"pic_seq"=>"",
    	"code"=>"",
    	"time"=>"",
    ));
    db_create_sequence("antispam_pic_seq",1,1);
    db_create_table("phpalbum_version",Array("version"=>""));
    db_insert("phpalbum_version",Array("version"=>"0.4.1.9"));
    db_alter_table_add_column("setup","error_logging_enabled","false");
    // correcting bug from 0.4.1.beta8
    $rec=db_select_all("photo_param","default_lov=='exif_fl' && type=='system' && id=='8'");
    if(isset($rec[0])){
    	$new_id=db_get_seq_nextval("photo_param_id");
    	db_update("photo_param","id='$new_id';","default_lov=='exif_fl' && type=='system' && id=='8'");
    	db_commit();
    }
    $pa_db_version[0]="0.4.1.9";
}
if(check_version($pa_db_version[0],$phpalbum_version)){
	echo "applying changes for 0.4.1.10 version";
	db_alter_table_add_column("setup","antispam_code_enabled","true");
   	$new_id=db_get_seq_nextval("photo_param_id");
	db_insert("photo_param",Array("id"=>$new_id,"name"=>"Date/Time (Exif)","type"=>"system","default_lov"=>"exif_datetime"));
	db_update("phpalbum_version","version='0.4.1.10';");
}
?>